/*
 * Code written by Greg Rose, based on the textual description in
 * Schneier's AC2, pp 397-398. Intended to be compatible with RC4,
 * except that the first 256 bytes of output are discarded after key
 * setup.
 *
 * No rights reserved.
 */

#ifndef ARRSYFOR
#define ARRSYFOR

typedef struct {
	unsigned char	Sbox[256];
	unsigned char	i, j;
} ctx_arrsyfor;

extern void	key_arrsyfor(ctx_arrsyfor *, unsigned char *, int);
extern void	arrsyfor(ctx_arrsyfor *, unsigned char *, int);

#endif
